﻿//TempControl
//Copyright (C) 2006  Casper Kaae Soenderby (casperkaae'at'gmail.com)

//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TempControl
{
    public partial class Settings : Form
    {
        public Settings()
        {
            InitializeComponent();
        }

        private void Settings_Load(object sender, EventArgs e)
        {
            ProbeNametextBox1.Text = Properties.Settings.Default.Probe1;
            ProbeNametextBox2.Text = Properties.Settings.Default.Probe2;
            ProbeNametextBox3.Text = Properties.Settings.Default.Probe3;
            ProbeNametextBox4.Text = Properties.Settings.Default.Probe4;

            CalibratenumericUpDown1.Value = Properties.Settings.Default.CalibrateProbe1;
            CalibratenumericUpDown2.Value = Properties.Settings.Default.CalibrateProbe2;
            CalibratenumericUpDown3.Value = Properties.Settings.Default.CalibrateProbe3;
            CalibratenumericUpDown4.Value = Properties.Settings.Default.CalibrateProbe4;

            ComPortcomboBox.SelectedItem = Properties.Settings.Default.ComPort;

            ParallelPortcomboBox.SelectedItem = Properties.Settings.Default.ParallelPort;
        }

        private void OKbutton_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.Probe1 = ProbeNametextBox1.Text;
            Properties.Settings.Default.Probe2 = ProbeNametextBox2.Text;
            Properties.Settings.Default.Probe3 = ProbeNametextBox3.Text;
            Properties.Settings.Default.Probe4 = ProbeNametextBox4.Text;

            Properties.Settings.Default.CalibrateProbe1 = CalibratenumericUpDown1.Value;
            Properties.Settings.Default.CalibrateProbe2 = CalibratenumericUpDown2.Value;
            Properties.Settings.Default.CalibrateProbe3 = CalibratenumericUpDown3.Value;
            Properties.Settings.Default.CalibrateProbe4 = CalibratenumericUpDown4.Value;
            
            
            Properties.Settings.Default.ComPort = ComPortcomboBox.SelectedItem.ToString();

            Properties.Settings.Default.ParallelPort = ParallelPortcomboBox.SelectedItem.ToString();

            Properties.Settings.Default.Save();

        }
    }
}